Subject: [GENERAL] Anonymous record type and inner types.
From: Ronan Dunklau <[email-masked]>
To: [email-masked]
Date: Fri, 1 Jul 2011 10:37:44 +0200
List-Id: <pgsql-general.postgresql.org>

Hello.

Sorry if this question has already been asked, but I couldn't find the answer 
anywhere.

When I execute a statement such as "Select (an_int, a_varchar) as a_record 
from test, the type returned for a_record is "record" (oid 2249).

Is the "inner type" information propagated somehow (that an_int is an integer, 
and a_varchar a varchar) ?

If so, is it easily accessible in client libraries ? I'm using psycopg2 for 
python, which itself uses libpq.

Thanks.

Regards,

--
Ronan Dunklau